Page MenuHomePhabricator

WMF deployment config for Wikibase needs to be updated
Closed, ResolvedPublic

Description

Many months ago we introduced dedicated settings variables for lib, repo and client rather then stuffing everything into a single variable.

The single variable we used to have was: wgWBSettings

Right now we have

  • wgWBSettings: for lib settings
  • wgWBRepoSettings: for repo settings
  • wgWBClientSettings: fir client settings

Currently they are all merged together for all code accessing settings, so that old configuration that stuffs everything into wgWBSettings will still work.

Right now there are two changes on gerrit that prevent loading of client settings on repo and repo settings on client.

These will break any configuration that puts configuration needed by repo in the client variable or the other way around. Such configuration was possible before there commits though not before the change from one to 3 config variables and has never been intended to be supported. Presumably no setup is using such bad config, so these commits should not cause problems.

However continuing the cleanup of the configuration system requires dropping support of the all settings in one variable configuration at some point. This means the configuration on the WMF cluster should be updated (as it apparently still is stuffing everything in wgWBSettings) and that this configuration should first be tested.

Until that happens development is blocked by ops tasks.


Version: master
Severity: normal

Details

Reference
bz47610

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:34 AM
bzimport set Reference to bz47610.
bzimport added a subscriber: Unknown Object (MLST).

Dev and Test system have been updated.

Related URL: https://gerrit.wikimedia.org/r/61975 (Gerrit Change If49b303890fa39a55e6fe3a9950ed5456f2bbbc3)

https://gerrit.wikimedia.org/r/61975 (Gerrit Change If49b303890fa39a55e6fe3a9950ed5456f2bbbc3) | change APPROVED and MERGED [by Andrew Bogott]

aude added a comment.May 2 2013, 2:13 PM

still need to update production settings.

aude added a comment.May 8 2013, 11:13 AM

It's not clear if all the settings in local settings should be $wgWBClientSettings / $wgWBRepoSettings, even if the settings are defined in WikibaseLib (with $wgWBSettings).

DanielK suggested to me that one should not need to know where the various settings come from and they should use just the repo / client variables. This won't work with the current code, as default WikibaseLib settings will override those set in $wgWBClientSettings / $wgWBRepoSettings.

What we did on labs is use the client / repo settings and keep $wgWBSettings for lib settings. It's not ideal but works and is a way forward.

We can then use Jeroen's patch, which has $wgWBClientSettings override anything set in $wgWBSettings. (including the defaults) That breaks backwards compatibility.

Please advise. :)

Also, please update extension documentation about the settings.

http://www.mediawiki.org/wiki/Extension:WikibaseClient

http://www.mediawiki.org/wiki/Extension:Wikibase

Right now, people are being told to use $wgWBSettings and IMHO, we should have an additional period of backwards compatibility between time we update the documentation and time we break compatibility.

The change in settings system should also be announced on both wikidata-tech and wikidata-l (since most people are probably not on wikidata-tech yet).

The Wikidata-Vagrant still will be broken, though it's broken in other ways as well right now. Not a blocker but should not be forgotten.

Related URL: https://gerrit.wikimedia.org/r/62815 (Gerrit Change I14422cd85a3cf0200ea89953251b78b6b8d813cb)

https://gerrit.wikimedia.org/r/62815 (Gerrit Change I14422cd85a3cf0200ea89953251b78b6b8d813cb) | change APPROVED and MERGED [by jenkins-bot]

Related URL: https://gerrit.wikimedia.org/r/63845 (Gerrit Change I7054bfaf0ee8bb15f9caa7ed80f83a9182bb8fbb)

Related URL: https://gerrit.wikimedia.org/r/63849 (Gerrit Change I54b1d9b47d60cbaa7429a750b9d38e2b9bd9dc59)

https://gerrit.wikimedia.org/r/63845 (Gerrit Change I7054bfaf0ee8bb15f9caa7ed80f83a9182bb8fbb) | change APPROVED and MERGED [by Aude]

https://gerrit.wikimedia.org/r/63849 (Gerrit Change I54b1d9b47d60cbaa7429a750b9d38e2b9bd9dc59) | change APPROVED and MERGED [by jenkins-bot]

greg added a comment.Jun 19 2013, 11:17 PM

A) Is this bug still unresolved? I may be missing something, but those patches are merged and their commit messages read like it is done.

B) Even not done, does this issue still require Ops assistance?

aude added a comment.Jul 1 2013, 11:49 AM

we still need to update the settings, which could be done next monday.

we also need to update the puppet config again for our test system (and add WikibaseDataModel dependency there)

we do not need ops for this.